Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • Cloud Registry
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Serverless Integrations
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex DataLens
RU
  • Нейроаналитик DataLens
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • Get licenses
        • Get licenses limit
        • Set licenses limit
        • Assign licenses
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • License
  1. DataLens Public API
  2. DataLens API (англ.)
  3. Licensing
  4. Assign licenses
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • License

Assign licenses

Assigns licenses to the specified users.

RequestRequest

POST

https://api.datalens.tech/rpc/assignLicenses

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "userIds": [
    "example"
  ]
}

Name

Description

userIds

Type: string[]

IDs of users to assign licenses to.

Min items: 1

Max items: 1000

Example
[
  "example"
]

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
[
  {
    "licenseId": "example",
    "meta": {},
    "tenantId": "example",
    "userId": "example",
    "licenseType": "creator",
    "isActive": true,
    "expiresAt": "example",
    "createdBy": "example",
    "createdAt": "example",
    "updatedBy": "example",
    "updatedAt": "example"
  }
]

Type: License[]

LicenseLicense

Name

Description

createdAt

Type: string

Date and time when the license was created.

Example: example

createdBy

Type: string

ID of the user who created the license.

Example: example

expiresAt

Type: string

Date and time when the license expires.

Example: example

isActive

Type: boolean

Whether the license is active.

licenseId

Type: string

Unique identifier of the license.

Example: example

licenseType

Type: string

Type of the license.

Const: creator

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Additional license metadata.

Example
{}

tenantId

Type: string

ID of the tenant that owns the license.

Example: example

updatedAt

Type: string

Date and time when the license was last updated.

Example: example

updatedBy

Type: string

ID of the user who last updated the license.

Example: example

userId

Type: string

ID of the user assigned the license.

Example: example

Example
{
  "licenseId": "example",
  "meta": {},
  "tenantId": "example",
  "userId": "example",
  "licenseType": "creator",
  "isActive": true,
  "expiresAt": "example",
  "createdBy": "example",
  "createdAt": "example",
  "updatedBy": "example",
  "updatedAt": "example"
}

Была ли статья полезна?

Предыдущая
Set licenses limit
Следующая
Аудитные логи Audit Trails
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»